package com.izouma.nineth.dto.sumpay;

import com.alibaba.fastjson.annotation.JSONField;
import fosun.sumpay.merchant.integration.core.context.FileContext;
import fosun.sumpay.merchant.integration.core.request.MerchantBaseRequest;
import lombok.Data;

@Data
public class UserModify extends MerchantBaseRequest {

    private String partner_id;

    //注册时返回的用户号
    private String user_id;

    private FileContext id_card_front;
    private FileContext id_card_back;
    private String id_start_date;
    private String id_end_date;

    private String career;
    private String address;


    @JSONField(
            serialize = false
    )
    @Override
    public String[] getBase64EncodedWords() {
        return new String[]{"terminal_info", "longitude", "latitude"};
    }

    @JSONField(
            serialize = false
    )
    @Override
    public String[] getAesEncodedWords() {
        return new String[]{};
    }

    @JSONField(
            serialize = false
    )
    @Override
    public String[] getCharsetChangeWords() {
        return new String[]{"terminal_info"};
    }


}
